summaryrefslogtreecommitdiff
path: root/app-misc/ckb/files
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2018-07-14 21:03:06 +0100
committerV3n3RiX <venerix@redcorelinux.org>2018-07-14 21:03:06 +0100
commit8376ef56580626e9c0f796d5b85b53a0a1c7d5f5 (patch)
tree7681bbd4e8b05407772df40a4bf04cbbc8afc3fa /app-misc/ckb/files
parent30a9caf154332f12ca60756e1b75d2f0e3e1822d (diff)
gentoo resync : 14.07.2018
Diffstat (limited to 'app-misc/ckb/files')
-rw-r--r--app-misc/ckb/files/ckb.initd29
1 files changed, 29 insertions, 0 deletions
diff --git a/app-misc/ckb/files/ckb.initd b/app-misc/ckb/files/ckb.initd
new file mode 100644
index 000000000000..76af0fd8438b
--- /dev/null
+++ b/app-misc/ckb/files/ckb.initd
@@ -0,0 +1,29 @@
+#!/sbin/openrc-run
+## Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+extra_started_commands="reload"
+command="/usr/bin/ckb-daemon"
+description="Controller for Corsair Keyboard Driver"
+pidfile="/run/ckb.pid"
+logfile="/var/run/ckb.log"
+
+start() {
+ ebegin "Starting Corsair Keyboard Driver"
+ start-stop-daemon --start --exec "${command}" --pidfile "${pidfile}" --background \
+ --stdout "${logfile}" --stderr "${logfile}"
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping Corsair Keyboard Driver"
+ start-stop-daemon --stop --exec "${command}" --pidfile "${pidfile}"
+ eend $?
+
+}
+
+reload() {
+ stop
+ sleep 3
+ start
+}